Bug 1653403 - The GNU C Library version 2.29
Summary: The GNU C Library version 2.29
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 18:14 UTC by Ben Cotton
Modified: 2019-04-30 15:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:36 UTC


Attachments (Terms of Use)

Description Ben Cotton 2018-11-26 18:14:29 UTC
This is a tracking bug for Change: The GNU C Library version 2.29
For more details, see: https://fedoraproject.org/wiki/Changes/GLIBC229

Switch glibc in Fedora 30 to glibc version 2.29.

Comment 1 Ben Cotton 2019-02-19 20:30:20 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Carlos O'Donell 2019-02-20 07:22:12 UTC
Done as of Jan 31st.

commit de5b416635eda3506c49077d2f0191f3cd526b39
Author: Carlos O'Donell <carlos@redhat.com>
Date:   Thu Jan 31 22:11:33 2019 -0500

    Auto-sync with upstream branch release/2.29/master
    
    Upstream commit: 86013ef5cea322b8f4b9c22f230c22cce369e947
    
    - nptl: Fix pthread_rwlock_try*lock stalls (swbz#23844)

Comment 3 Ben Cotton 2019-03-05 21:49:56 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.


Note You need to log in before you can comment on or make changes to this bug.